af_protect(3)

NAME
af_chowner, af_chauthor, af_chmod - AtFS protection handling

SYNOPSIS
#include <atfs.h>

int af_chowner (Af_key *aso, Af_user *owner)

int af_chauthor (Af_key *aso, Af_user *author)

int af_chmod (Af_key *aso, int mode)

DESCRIPTION
af_chowner and af_chauthor modify the owner and author attribute of an ASO. Only the superuser may change the owner of an object history. The author attribute of an ASO can only be changed by it's owner. The Af_user structure has the following form

    typedef struct {
    	char	af_username[MAXUSERNAMELEN];
    	char	af_userhost[MAXHOSTNAMELEN];
    	char	af_userdomain[MAXDOMAIN+1];
    	} Af_user;

af_chmod changes the mode of an ASO. See chmod(3) for further details.

SEE ALSO
chown (2), chmod (2)

DIAGNOSTICS
Upon error, -1 is returned and af_errno is set to the corresponding error number.

BUGS
af_chowner does not work.